const DS_BRIDGE = require('dsbridge')

// 拍照
export const openCamera = (params) => {
  return new Promise(resolve => {
    DS_BRIDGE.call('openCamera', params, res => {
      resolve(res)
    })
  })
}
// 拍照取相册 实现调用存储功能(带相册,文件资源功能)
export const openCameraStorage = (params) => {
  return new Promise(resolve => {
    DS_BRIDGE.call('openCameraStorage', params, res => {
      resolve(res)
    })
  })
}
// 全部实现功能(带相机,相册,文件资源功能)
export const openCameraAll = (params) => {
  return new Promise(resolve => {
    DS_BRIDGE.call('openCameraAll', params, res => {
      resolve(res)
    })
  })
}
// 扫码
export const openScan = (params) => {
  return new Promise(resolve => {
    DS_BRIDGE.call('openScan', params, res => {
      resolve(res)
    })
  })
}

export const WebView = {
  openCamera,
  openScan
}
